Skip to content

FinrepService⁠

Manage Current Transaction Report (CTR) records.

Operations⁠

updateCtrForeignByID⁠

POST

Updates a foreign CTR by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrForeignLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrForeignByID
POST /nexum/627/2022.01/finrep/updateCtrForeignByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrForeignLocator": 0,
  "CtrForeignUpdatableFields": {
    "Cashin": 0,
    "Cashout": 0,
    "CountryCode": "string"
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrNoteByID⁠

POST

Updates a CTR note by its ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNoteLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrNoteByID
POST /nexum/627/2022.01/finrep/updateCtrNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNoteLocator": 0,
  "CtrNoteUpdatableFields": {
    "Code": 0,
    "EnterDate": "string",
    "EnterTime": 0,
    "ExpirationDate": "string",
    "Text": [
      {
        "EntryId": 0,
        "Text": "string"
      }
    ],
    "UserId": 0,
    "VoidFlag": 0,
    "VoidedBy": 0
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrPersonByID⁠

POST

Updates an individual involved in CTRs by their ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrPersonLocatorintegeroptional
CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrPersonByID
POST /nexum/627/2022.01/finrep/updateCtrPersonByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrPersonLocator": 0,
  "CtrPersonUpdatableFields": {
    "Address": "string",
    "BirthDate": "string",
    "Cashin": 0,
    "Cashout": 0,
    "City": "string",
    "CountryCode": "string",
    "DbaFirst": "string",
    "DbaLast": "string",
    "DbaMiddle": "string",
    "DbaSuffix": "string",
    "Email": "string",
    "EntityFlag": 0,
    "First": "string",
    "Gender": "string",
    "Headquarters": 0,
    "IdIssueByCountry": "string",
    "IdIssueByState": "string",
    "IdNumber": "string",
    "IdTypeOtherDesc": "string",
    "IdVerifyMethod": 0
  },
  "CtrPersonCtrTranInfoUpdateRequest": [
    {
      "CtrPersonCtrTranInfoLocator": 0,
      "CtrPersonCtrTranInfoUpdatableFields": {
        "AccountNumber": "string",
        "Amount": 0,
        "SlId": "string",
        "SlIdType": 0,
        "Source": 0
      }
    }
  ],
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCtrPersonCtrTranInfoByID⁠

POST

Updates CTR transaction information for individuals by their ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrPersonCtrTranInfoLocatorintegeroptional
CtrNumberstringoptional
CtrPersonLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/finrep/updateCtrPersonCtrTranInfoByID
POST /nexum/627/2022.01/finrep/updateCtrPersonCtrTranInfoByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrPersonCtrTranInfoLocator": 0,
  "CtrPersonCtrTranInfoUpdatableFields": {
    "AccountNumber": "string",
    "Amount": 0,
    "SlId": "string",
    "SlIdType": 0,
    "Source": 0
  },
  "CtrNumber": "string",
  "CtrPersonLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

createCtrBranch⁠

POST

Creates a branch for CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
Path Parameters
symstringrequired
Sym number
CtrBranchLocatorintegeroptional
POST/nexum/{sym}/2022.01/finrep/createCtrBranch
POST /nexum/627/2022.01/finrep/createCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrBranchCreatableFields": {
    "Address": "string",
    "CashinLocation": 0,
    "CashoutLocation": 0,
    "City": "string",
    "CountryCode": "string",
    "Ein": "string",
    "Id": 0,
    "Name": "string",
    "State": "string",
    "Type": 0,
    "ZipCode": "string"
  },
  "CtrNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

deleteCtrBranch⁠

POST

Deletes a branch for CTRs.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CtrNumberstringoptional
CtrBranchLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/finrep/deleteCtrBranch
POST /nexum/627/2022.01/finrep/deleteCtrBranch HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CtrNumber": "string",
  "CtrBranchLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}